> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml /openapi.json get /api/v1/folders
openapi: 3.1.0
info:
  title: Capy API
  version: 1.0.0
  description: Programmatic access to Capy's agent platform.
servers:
  - url: https://api.capy.ai
security:
  - bearerAuth: []
tags:
  - name: automations
  - name: projects
  - name: threads
  - name: folders
  - name: tasks
  - name: messages
  - name: reviews
  - name: usage
  - name: users
paths:
  /api/v1/folders:
    get:
      tags:
        - folders
      summary: List
      operationId: folders.list
      parameters: []
      responses:
        '200':
          description: FolderList
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FolderList'
        '401':
          description: capy/Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_Unauthorized'
        '403':
          description: capy/Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/capy_Forbidden'
      security:
        - bearerAuth: []
components:
  schemas:
    FolderList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/Folder'
      required:
        - items
      additionalProperties: false
    capy_Unauthorized:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Unauthorized
      required:
        - _tag
      additionalProperties: false
    capy_Forbidden:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - capy/Forbidden
      required:
        - _tag
      additionalProperties: false
    Folder:
      type: object
      properties:
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          type: string
          enum:
            - pinned
            - custom
        visibility:
          type: string
          enum:
            - private
            - shared
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - name
        - kind
        - visibility
        - createdAt
        - updatedAt
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Capy API key
      description: An API key created in Capy under Settings → API.

````